QueryApi
getDatabaseSchema
Request
GET https://api.dataspray.io/v1/organization/{organizationName}/query/schema (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
Response DatabaseSchemaResponse
getQueryHistory
Request
GET https://api.dataspray.io/v1/organization/{organizationName}/query/history (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| maxResults | Query | Integer | [optional] [default to 50] |
Response QueryHistoryResponse
getQueryResults
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| queryExecutionId | Path | String | [default to null] |
| nextToken | Query | String | [optional] [default to null] |
| maxResults | Query | Integer | [optional] [default to 100] |
Response QueryResultsResponse
getQueryStatus
Request
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| queryExecutionId | Path | String | [default to null] |
Response QueryExecutionStatus
submitQuery
Request
POST https://api.dataspray.io/v1/organization/{organizationName}/query/submit (opens in a new tab)
| Name | In | Type | Notes |
|---|---|---|---|
| organizationName | Path | String | [default to null] |
| SubmitQueryRequest | Body | SubmitQueryRequest |
Response SubmitQueryResponse